[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Installing a RPM



Rick Stevens wrote:
Dave Burns wrote:
On Wed, Oct 29, 2008 at 12:26 PM, Jim <mickeyboa sbcglobal net> wrote:
I tryed to install openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm and it
needs a number dependencies like libuno_*,
 these dependcies are in /opt/openoffice.org/ure/lib/ but they can't be
found by rpm -ivh.

Which means... either you installed them by hand (config make, not
with yum or rpm) or your rpm database is corrupt.

Use yum when you can.

Use rpm localinstall when you can't

Use google if your rpm database is corrupt - I don't remember offhand
how to fix it, but it has been mentioned many times on this list and
probably a horde of other places.

As root: "rm -f /var/lib/rpm/__db*;rpm --rebuilddb" and then go have
a cup of coffee while it churns away.  :-)  Can take a while to run.
----------------------------------------------------------------------
- Rick Stevens, Systems Engineer                      ricks nerd com -
- AIM/Skype: therps2        ICQ: 22643734            Yahoo: origrps2 -
-                                                                    -
-  Jimmie crack corn and I don't care...what kind of lousy attitude  -
-                 is THAT to have, huh?   -- Dennis Miller           -
----------------------------------------------------------------------

I did a rm db_* , rpm --rebuilddb and yum localinstall openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm

   * And it is still looking for the below dependencies.


The dependencies are in /opt/openoffice.org/ure/lib/, Why can't it see them.

[root x86_64 OOo-3.0]# yum localinstall openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm
Setting up Local Package Process
Examining openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm: 1:openoffice.org-pdfimport-3.0.0-9.6.fc10.i386
Marking openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package openoffice.org-pdfimport.i386 1:3.0.0-9.6.fc10 set to be updated --> Processing Dependency: openoffice.org-draw-core = 1:3.0.0-9.6.fc10 for package: openoffice.org-pdfimport --> Processing Dependency: libpoppler.so.3 for package: openoffice.org-pdfimport --> Processing Dependency: libstlport_gcc.so for package: openoffice.org-pdfimport --> Processing Dependency: libuno_cppu.so.3 for package: openoffice.org-pdfimport --> Processing Dependency: libuno_cppu.so.3(UDK_3.3) for package: openoffice.org-pdfimport --> Processing Dependency: libuno_cppu.so.3(UDK_3_0_0) for package: openoffice.org-pdfimport --> Processing Dependency: libuno_cppuhelpergcc3.so.3 for package: openoffice.org-pdfimport --> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3_0_0) for package: openoffice.org-pdfimport --> Processing Dependency: libuno_sal.so.3 for package: openoffice.org-pdfimport --> Processing Dependency: libuno_sal.so.3(UDK_3.1) for package: openoffice.org-pdfimport --> Processing Dependency: libuno_sal.so.3(UDK_3.3) for package: openoffice.org-pdfimport --> Processing Dependency: libuno_sal.so.3(UDK_3_0_0) for package: openoffice.org-pdfimport
--> Finished Dependency Resolution
1:openoffice.org-pdfimport-3.0.0-9.6.fc10.i386 from openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm has depsolving problems --> Missing Dependency: libuno_sal.so.3(UDK_3_0_0) is needed by package 1:openoffice.org-pdfimport-3.0.0-9.6.fc10.i386 (openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm) 1:openoffice.org-pdfimport-3.0.0-9.6.fc10.i386 from openoffice.org-pdfimport-3.0.0-9.6.fc10.i386.rpm has depsolving problems --> Missing Dependency: libstlport_gcc.so is needed by package 1:openoffice.org-pdfimport-3.0.0-9.6.fc10.i386 (


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]